from flask import Flask, render_template
from model.memory import load_dreams
from model.tokenizer import Tokenizer
import threading


app = Flask(__name__)
tokenizer = Tokenizer()


@app.route("/")
def index():
    dreams = load_dreams()
    top_dreams = dreams[:5]
    return render_template("index.html",
                           vocab_size=len(tokenizer.vocab),
                           top_dreams=top_dreams)


def run_dashboard():
    app.run(host="0.0.0.0", port=5000, debug=False, use_reloader=False)
